using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.KnowledgeBase
{
    /// <summary>
	/// 知识库引用
	/// </summary>
	[Description("知识库引用")]
    public class KnowledgeQuote : CreationEntity
    {
        /// <summary>
        /// 知识库Id
        /// </summary>
        [SugarColumn(ColumnDescription = "知识库Id")]
        public string KnowledgeId { get; set; }

        /// <summary>
        /// 知识标题
        /// </summary>
        [SugarColumn(ColumnDescription = "知识标题")]
        public string KnowledgeTitle { get; set; }

        /// <summary>
        /// 工单ID
        /// </summary>
        [SugarColumn(ColumnDescription = "工单ID")]
        public string OrderId { get; set; }

        /// <summary>
        /// 工单标题
        /// </summary>
        [SugarColumn(ColumnDescription = "工单标题")]
        public string Title { get; set; }

        /// <summary>
        /// 工单编号
        /// </summary>
        [SugarColumn(ColumnDescription = "工单编号")]
        public string No { get; set; }
    }
}
